/*
	Copyright 12/03/07 Sun Microsystems, Inc. All Rights Reserved
*/
/*ident	"@(#)ctrans:incl-master/proto-headers/sysent.h	1.12" */
/* Sun @(#)sysent.h 1.1 92/06/22 SMI */

#ifndef _SYSENT_H
#define _SYSENT_H

#ifndef _UNISTD_H
#include <unistd.h>
#endif

#ifndef _STDLIB_H
#include <stdlib.h>
#endif

#ifndef _SYS_STAT_H
#include <sys/stat.h>
#endif

#ifdef  __cplusplus
extern "C" {
#endif

extern	int	async_daemon();
#ifndef __linux /* declared in <unistd.h> on linux */
extern	int	getdomainname(char*, int);
extern	int	setdomainname(const char*, int);
extern	int	sethostname(char*, int);
extern	int	syscall(int, ...);
#endif
extern	int	shutdown(int, int);
extern	int	nfssvc(int);

extern	int	getdirentries(int, char*, int, long*);
extern	int	swapon(const char*);
extern	int	flock(int, int);
extern	int	killpg(pid_t, int);
extern	int	vadvise(int);
extern	int	setrgid(gid_t);
extern	int	setruid(uid_t);

#ifdef  __cplusplus
}
#endif

#endif

